tigase.jaxmpp.core.client.xmpp.modules.muc

## Class MucModule.RoomConfgurationAsyncCallback

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.muc.MucModule.RoomConfgurationAsyncCallback

- All Implemented Interfaces:
    AsyncCallback
  Enclosing class:
    MucModule

      public abstract static class MucModule.RoomConfgurationAsyncCallback
      extends Object
      implements AsyncCallback

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RoomConfgurationAsyncCallback()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `onConfigurationReceived(JabberDataElement configuration)`
    `void` | `onSuccess(Stanza responseStanza)` Called when received response has type result.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tigase.jaxmpp.core.client.AsyncCallback

      `onError, onTimeout`

- - ### Constructor Detail

    - #### RoomConfgurationAsyncCallback

          public RoomConfgurationAsyncCallback()

  - ### Method Detail

    - #### onConfigurationReceived

          public abstract void onConfigurationReceived(JabberDataElement configuration)
                                                throws XMLException

      Throws:
        `XMLException`

    - #### onSuccess

          public void onSuccess(Stanza responseStanza)
                         throws JaxmppException

      Description copied from interface: `AsyncCallback`
      Called when received response has type result.
      Specified by:
        `onSuccess` in interface `AsyncCallback`
      Parameters:
        `responseStanza` - received stanza
      Throws:
        `JaxmppException`

Copyright © 2006–2020 Tigase. All rights reserved.